Debian Bug report logs - #636882
ardentryst: Copyright file is incomplete

version graph

Package: ardentryst; Maintainer for ardentryst is Debian Games Team <pkg-games-devel@lists.alioth.debian.org>; Source for ardentryst is src:ardentryst.

Reported by: Sylvain Beucler <beuc@debian.org>

Date: Sat, 6 Aug 2011 18:09:01 UTC

Severity: normal

Found in version ardentryst/1.71-2

Fixed in version ardentryst/1.71-3

Done: Vincent Cheng <Vincentc1208@gmail.com>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#636882; Package ardentryst. (Sat, 06 Aug 2011 18:09:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvain Beucler <beuc@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sat, 06 Aug 2011 18:09:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Sylvain Beucler <beuc@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ardentryst: Copyright file is incomplete
Date: Sat, 06 Aug 2011 20:04:24 +0200
Package: ardentryst
Version: 1.71-2
Severity: normal

Hi Vincent,

I was looking at this nice game, and wondering where the music came from.

I see that the game's credits disagree with the debian/copyright file:
the credits mention numerous contributions for sounds and music
(notably freesound.org and digifish.org), but the debian/copyright
file credit them all to Jordan Trudgett.

I suggest you clarify the data attribution.

-- System Information:
Debian Release: wheezy/sid
  APT prefers testing
  APT policy: (500, 'testing'), (200, 'experimental')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.39-2-amd64 (SMP w/4 CPU cores)
Locale: LANG=fr_FR.utf8, LC_CTYPE=fr_FR.utf8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages ardentryst depends on:
ii  python                 2.6.7-1           interactive high-level object-orie
ii  python-pygame          1.8.1release-2+b2 SDL bindings for games development
ii  ttf-freefont           20100919-1        Freefont Serif, Sans and Mono True

ardentryst recommends no packages.

ardentryst suggests no packages.

-- no debconf information




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#636882; Package ardentryst. (Sun, 07 Aug 2011 05:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sun, 07 Aug 2011 05:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 636882@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Sylvain Beucler <beuc@debian.org>
Cc: 636882@bugs.debian.org
Subject: Re: Bug#636882: ardentryst: Copyright file is incomplete
Date: Sat, 6 Aug 2011 22:00:20 -0700
On Sat, Aug 6, 2011 at 11:04 AM, Sylvain Beucler <beuc@debian.org> wrote:
> Package: ardentryst
> Version: 1.71-2
> Severity: normal
>
> Hi Vincent,
>
> I was looking at this nice game, and wondering where the music came from.
>
> I see that the game's credits disagree with the debian/copyright file:
> the credits mention numerous contributions for sounds and music
> (notably freesound.org and digifish.org), but the debian/copyright
> file credit them all to Jordan Trudgett.
>
> I suggest you clarify the data attribution.

Hi Sylvain,

You're right, Ardentryst's debian/copyright file needs to be modified
to account for the contributors of the game's sound files, but the
upstream author hasn't provided much information about the source for
those sound files, aside from the in-game credits and a COPYING.data
file in the source tarball (which does not provide any copyright
information aside from stating that Ardentryst's data, music, and
sounds are licensed under CC 3.0). In particular, years of copyright
attribution are missing, and the upstream author has neglected to
point out which sound files are copyrighted by which contributor(s).

Based off of what information I have, my proposed modification to
debian/copyright can be found at [1]; if that is insufficient, I'll
contact the upstream author.

Kind regards,
- Vincent

[1] http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/ardentryst/debian/copyright?revision=12567&view=markup




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#636882; Package ardentryst. (Sun, 07 Aug 2011 07:09:17 GMT) Full text and rfc822 format available.

Acknowledgement sent to Sylvain Beucler <beuc@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Sun, 07 Aug 2011 07:09:17 GMT) Full text and rfc822 format available.

Message #15 received at 636882@bugs.debian.org (full text, mbox):

From: Sylvain Beucler <beuc@debian.org>
To: Vincent Cheng <vincentc1208@gmail.com>
Cc: 636882@bugs.debian.org
Subject: Re: Bug#636882: ardentryst: Copyright file is incomplete
Date: Sun, 7 Aug 2011 09:05:43 +0200
On Sat, Aug 06, 2011 at 10:00:20PM -0700, Vincent Cheng wrote:
> On Sat, Aug 6, 2011 at 11:04 AM, Sylvain Beucler <beuc@debian.org> wrote:
> > Package: ardentryst
> > Version: 1.71-2
> > Severity: normal
> >
> > Hi Vincent,
> >
> > I was looking at this nice game, and wondering where the music came from.
> >
> > I see that the game's credits disagree with the debian/copyright file:
> > the credits mention numerous contributions for sounds and music
> > (notably freesound.org and digifish.org), but the debian/copyright
> > file credit them all to Jordan Trudgett.
> >
> > I suggest you clarify the data attribution.
> 
> Hi Sylvain,
> 
> You're right, Ardentryst's debian/copyright file needs to be modified
> to account for the contributors of the game's sound files, but the
> upstream author hasn't provided much information about the source for
> those sound files, aside from the in-game credits and a COPYING.data
> file in the source tarball (which does not provide any copyright
> information aside from stating that Ardentryst's data, music, and
> sounds are licensed under CC 3.0). In particular, years of copyright
> attribution are missing, and the upstream author has neglected to
> point out which sound files are copyrighted by which contributor(s).
> 
> Based off of what information I have, my proposed modification to
> debian/copyright can be found at [1]; if that is insufficient, I'll
> contact the upstream author.
> 
> [1] http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/ardentryst/debian/copyright?revision=12567&view=markup

Hi,

Works for me :)

-- 
Sylvain




Added tag(s) pending. Request was from Vincent Cheng <vincentc1208@gmail.com> to control@bugs.debian.org. (Mon, 08 Aug 2011 02:51:03 GMT) Full text and rfc822 format available.

Reply sent to Vincent Cheng <Vincentc1208@gmail.com>:
You have taken responsibility. (Mon, 08 Aug 2011 07:18:43 GMT) Full text and rfc822 format available.

Notification sent to Sylvain Beucler <beuc@debian.org>:
Bug acknowledged by developer. (Mon, 08 Aug 2011 07:18:43 GMT) Full text and rfc822 format available.

Message #22 received at 636882-close@bugs.debian.org (full text, mbox):

From: Vincent Cheng <Vincentc1208@gmail.com>
To: 636882-close@bugs.debian.org
Subject: Bug#636882: fixed in ardentryst 1.71-3
Date: Mon, 08 Aug 2011 07:17:14 +0000
Source: ardentryst
Source-Version: 1.71-3

We believe that the bug you reported is fixed in the latest version of
ardentryst, which is due to be installed in the Debian FTP archive:

ardentryst_1.71-3.debian.tar.gz
  to main/a/ardentryst/ardentryst_1.71-3.debian.tar.gz
ardentryst_1.71-3.dsc
  to main/a/ardentryst/ardentryst_1.71-3.dsc
ardentryst_1.71-3_all.deb
  to main/a/ardentryst/ardentryst_1.71-3_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 636882@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Vincent Cheng <Vincentc1208@gmail.com> (supplier of updated ardentryst package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Sun, 07 Aug 2011 00:22:06 -0700
Source: ardentryst
Binary: ardentryst
Architecture: source all
Version: 1.71-3
Distribution: unstable
Urgency: low
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Changed-By: Vincent Cheng <Vincentc1208@gmail.com>
Description: 
 ardentryst - Action/RPG sidescoller, focused on story and character developmen
Closes: 636882
Changes: 
 ardentryst (1.71-3) unstable; urgency=low
 .
   * Clarify data attribution in debian/copyright. (Closes: #636882)
Checksums-Sha1: 
 7a8ca818d504206852eaf0cd917f53e5f35ce4fc 1278 ardentryst_1.71-3.dsc
 167c178f59b6ab682f189257acd544e3c9566730 10243 ardentryst_1.71-3.debian.tar.gz
 0d76b91432c53c74c44ac7943f38e7c79c816404 25908912 ardentryst_1.71-3_all.deb
Checksums-Sha256: 
 60a34ed67e4874851695222d5f12265c0d889a8f1e99e8377d3aa1ebaa5ca7b3 1278 ardentryst_1.71-3.dsc
 aadf2f9a043583f6e6a4eb8ead8c8a279684c97277ec40aeaf3e6f11d391c78b 10243 ardentryst_1.71-3.debian.tar.gz
 347eb9e1ef7a33a17cb6813b4a8fd7c115429be1a62985326e01cdcc32bb2a34 25908912 ardentryst_1.71-3_all.deb
Files: 
 9d411933776631772e5cc04b9c51cc9a 1278 games optional ardentryst_1.71-3.dsc
 666f3ad6de5f9912769076d0c60cf9eb 10243 games optional ardentryst_1.71-3.debian.tar.gz
 33bfc8035cbd3a36a5672336e7b2f856 25908912 games optional ardentryst_1.71-3_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4/iVkACgkQcllesYFwS5MU1gCdHqR3wtpOtLkpc7wrFDRnj4kW
PwEAoNoqJZScUgEN6+eGHLyZhMf6W0B/
=RHEM
-----END PGP SIGNATURE-----





Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#636882; Package ardentryst. (Mon, 08 Aug 2011 23:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Mon, 08 Aug 2011 23:39:03 GMT) Full text and rfc822 format available.

Message #27 received at 636882@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Jordan Trudgett <jordan_trudgett@hotmail.com>
Cc: Sylvain Beucler <beuc@debian.org>, 636882@bugs.debian.org
Subject: Re: Bug#636882: ardentryst: Copyright file is incomplete
Date: Mon, 8 Aug 2011 16:36:26 -0700
Hi Jordan,

Recently, a bug report (#636882, see [1]) has been filed against the
Ardentryst package in Debian, related to the copyright attribution of
Ardentryst's data and sound files. While the bug has (sort of) been
fixed, the bug reporter (and I) would like to ask for your input on
that matter; i.e. it would be nice if you could clarify which data and
sound files are your own creations and can be attributed to you. If
possible, can you also point out which data/music/sound files are
copyrighted by which contributor(s) you list in the in-game credits?
The most up-to-date copy of Ardentryst's debian/copyright can be found
at [2]; I'd be grateful if you could take a look at it and offer any
suggestions/modifications.

Kind regards,
- Vincent Cheng

[1] http://bugs.debian.org/636882
[2] http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/ardentryst/debian/copyright?revision=12567&view=markup




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Games Team <pkg-games-devel@lists.alioth.debian.org>:
Bug#636882; Package ardentryst. (Thu, 11 Aug 2011 22:39:10 GMT) Full text and rfc822 format available.

Acknowledgement sent to Vincent Cheng <vincentc1208@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Games Team <pkg-games-devel@lists.alioth.debian.org>. (Thu, 11 Aug 2011 22:39:10 GMT) Full text and rfc822 format available.

Message #32 received at 636882@bugs.debian.org (full text, mbox):

From: Vincent Cheng <vincentc1208@gmail.com>
To: Jordan Trudgett <jordan_trudgett@hotmail.com>
Cc: Sylvain Beucler <beuc@debian.org>, 636882@bugs.debian.org
Subject: Re: Bug#636882: ardentryst: Copyright file is incomplete
Date: Thu, 11 Aug 2011 15:36:02 -0700
On Thu, Aug 11, 2011 at 1:46 AM, Jordan Trudgett
<jordan_trudgett@hotmail.com> wrote:
> Strange, I send the e-mail to this address:
>
> 636882@bugs.debian.org <636882@bugs.debian.org>;
>
>
> with body
>
> Hi guys,
> if I could clarify the issue, all the game’s music files (under Music/) are
> my own creation. All the sounds under “Sounds/” and “Sounds/MonsterSounds/*”
> are mish-mashed works from various users on FreeSound. I have since lost the
> list linking the sources since changing development computer twice. Each
> sound effect may have multiple source files (up to 12, say) and multiple
> sound effects may share source files. I believe the list attributed is a
> complete list. The sounds under “Sounds/NYX” and “Sounds/PYR” are however my
> own creations and you may use whatever copyright is appropriate.
> Please let me know if you need more information.
> Jordan Trudgett
> (Creator of Ardentryst)
>
> If it still doesn’t come through you could post it (quoted) for me if you
> like.
>
> ________________________________
> Jordan Trudgett
>

Forwarded to #636882; thanks for your input, Jordan!

- Vincent




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 15 Sep 2011 07:37:09 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 24 08:08:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.